Package com.ads.api.beans.mm

# Class Project

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.mm.Project

public class Project extends Node
This class provides some beans control methods related to Project and its Documents, Resources and its Audit Specifications. This class extends Node class wherein it specifies whether the node comply to Mapping, Project, Subject, Component, Field.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Project.ProjectETL`

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Project()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDocument(Document doc)`
  Adds a Document to the Project.
  `AuditHistory`
  `getProjectAuditHistory()`
  Returns the AuditHistory Details.
  `String`
  `getProjectBusinessSponsorFullName()`
  Returns the projectBusinessSponsorFullName.
  `String`
  `getProjectCostCenter()`
  Returns the projectCostCenter.
  `String`
  `getProjectDescription()`
  Returns the projectDescription.
  `ArrayList<Document>`
  `getProjectDocuments()`
  Returns the projectDocuments associated with the Project.
  `Project.ProjectETL`
  `getProjectETL()`
  `int`
  `getProjectId()`
  Returns the projectId.
  `String`
  `getProjectITSponsorFullName()`
  Returns the projectITSponsorFullName.
  `String`
  `getProjectName()`
  Returns the projectName.
  `String`
  `getProjectOwnerFullName()`
  Returns the projectOwnerFullName.
  `ArrayList<AssignedResource>`
  `getProjectResources()`
  Returns the projectResources.
  `void`
  `setProjectAuditHistory(AuditHistory projectAuditHistory)`
  Method sets the projectAuditHistory details as specified.
  `void`
  `setProjectBusinessSponsorFullName(String projectBusinessSponsorFullName)`
  Method sets the projectBusinessSponsorFullName as specified.
  `void`
  `setProjectCostCenter(String projectCostCenter)`
  Method sets the projectCostCenter as specified.
  `void`
  `setProjectDescription(String projectDescription)`
  Method sets the projectDescription as specified.
  `void`
  `setProjectDocuments(ArrayList<Document> projectDocuments)`
  Method sets the projectDocuments as specified.
  `void`
  `setProjectETL(Project.ProjectETL projectETL)`
  `void`
  `setProjectId(int projectId)`
  Method sets the projectId as specified.
  `void`
  `setProjectITSponsorFullName(String projectITSponsorFullName)`
  Method sets the projectITSponsorFullName as specified.
  `void`
  `setProjectName(String projectName)`
  Method sets the projectName as specified.
  `void`
  `setProjectOwnerFullName(String projectOwnerFullName)`
  Method sets the projectOwnerFullName as specified.
  `void`
  `setProjectResources(ArrayList<AssignedResource> projectResources)`
  Method sets the projectResources as specified.

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, getObjectTypeId, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Project

    public Project()

- ## Method Details

  - ### getProjectId

    public int getProjectId()
    Returns the projectId.
    Returns:
      projectId int

  - ### setProjectId

    public void setProjectId(int projectId)
    Method sets the projectId as specified.
    Parameters:
      `projectId` - int

  - ### getProjectETL

    public Project.ProjectETL getProjectETL()

  - ### setProjectETL

    public void setProjectETL(Project.ProjectETL projectETL)

  - ### getProjectName

    public String getProjectName()
    Returns the projectName.
    Returns:
      projectName String

  - ### setProjectName

    public void setProjectName(String projectName)
    Method sets the projectName as specified.
    Parameters:
      `projectName` - String

  - ### getProjectDescription

    public String getProjectDescription()
    Returns the projectDescription.
    Returns:
      projectDescription String

  - ### setProjectDescription

    public void setProjectDescription(String projectDescription)
    Method sets the projectDescription as specified.
    Parameters:
      `projectDescription` - String

  - ### getProjectCostCenter

    public String getProjectCostCenter()
    Returns the projectCostCenter.
    Returns:
      projectCostCenter String

  - ### setProjectCostCenter

    public void setProjectCostCenter(String projectCostCenter)
    Method sets the projectCostCenter as specified.
    Parameters:
      `projectCostCenter` - String

  - ### getProjectITSponsorFullName

    public String getProjectITSponsorFullName()
    Returns the projectITSponsorFullName.
    Returns:
      projectITSponsorFullName String

  - ### setProjectITSponsorFullName

    public void setProjectITSponsorFullName(String projectITSponsorFullName)
    Method sets the projectITSponsorFullName as specified.
    Parameters:
      `projectITSponsorFullName` - String

  - ### getProjectBusinessSponsorFullName

    public String getProjectBusinessSponsorFullName()
    Returns the projectBusinessSponsorFullName.
    Returns:
      projectBusinessSponsorFullName String

  - ### setProjectBusinessSponsorFullName

    public void setProjectBusinessSponsorFullName(String projectBusinessSponsorFullName)
    Method sets the projectBusinessSponsorFullName as specified.
    Parameters:
      `projectBusinessSponsorFullName` - String

  - ### getProjectOwnerFullName

    public String getProjectOwnerFullName()
    Returns the projectOwnerFullName.
    Returns:
      projectOwnerFullName String

  - ### setProjectOwnerFullName

    public void setProjectOwnerFullName(String projectOwnerFullName)
    Method sets the projectOwnerFullName as specified.
    Parameters:
      `projectOwnerFullName` - String

  - ### getProjectAuditHistory

    public AuditHistory getProjectAuditHistory()
    Returns the AuditHistory Details.
    Returns:
      projectAuditHistory AuditHistory

  - ### setProjectAuditHistory

    public void setProjectAuditHistory(AuditHistory projectAuditHistory)
    Method sets the projectAuditHistory details as specified.
    Parameters:
      `projectAuditHistory` - AuditHistory

  - ### getProjectDocuments

    public ArrayList<Document> getProjectDocuments()
    Returns the projectDocuments associated with the Project.
    Returns:
      projectDocuments ArrayList

  - ### setProjectDocuments

    public void setProjectDocuments(ArrayList<Document> projectDocuments)
    Method sets the projectDocuments as specified.
    Parameters:
      `projectDocuments` - ArrayList

  - ### addDocument

    public void addDocument(Document doc)
    Adds a Document to the Project.
    Parameters:
      `doc` - Document Object

  - ### getProjectResources

    public ArrayList<AssignedResource> getProjectResources()
    Returns the projectResources.
    Returns:
      projectResources ArrayList

  - ### setProjectResources

    public void setProjectResources(ArrayList<AssignedResource> projectResources)
    Method sets the projectResources as specified.
    Parameters:
      `projectResources` - ArrayList